MainMenuBacking (Struts Apps - Faces Example 1 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.webapp.example
Class MainMenuBacking

    java.lang.Object
      org.apache.struts.webapp.example.MainMenuBacking

    public class MainMenuBacking

extends Object

Backing bean for the `mainMenu.jsp` page.

Constructor Summary
`MainMenuBacking()`

Method Summary
`protected StringBuffer` | `action(javax.faces.context.FacesContext context, String action)` Return the context relative path for the specified action.
`String` | `edit()` Forward to the Edit Registration action.
`protected void` | `forward(javax.faces.context.FacesContext context, String url)` Forward to the specified URL and mark this response as having been completed.
`String` | `logoff()` Forward to the Logoff action.
`protected StringBuffer` | `logoff(javax.faces.context.FacesContext context)` Return the context relative base URL for the "logoff" action.
`protected StringBuffer` | `logon(javax.faces.context.FacesContext context)` Return the context relative base URL for the "logon" action.
`protected StringBuffer` | `registration(javax.faces.context.FacesContext context)` Return the context relative base URL for the "edit registration" action.
`protected StringBuffer` | `subscription(javax.faces.context.FacesContext context)` Return the context relative base URL for the "edit subscriptions" action.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MainMenuBacking

    public MainMenuBacking()

Method Detail

### edit

    public String edit()

  Forward to the Edit Registration action.

### logoff

    public String logoff()

  Forward to the Logoff action.

### action

    protected StringBuffer action(javax.faces.context.FacesContext context,
                                  String action)

  Return the context relative path for the specified action.

  Parameters:
    `context` - `FacesContext` for the current request
    `action` - Name of the requested action

### forward

    protected void forward(javax.faces.context.FacesContext context,
                           String url)

  Forward to the specified URL and mark this response as having been completed.

  Parameters:
    `context` - `FacesContext` for the current request
    `url` - Context-relative URL to forward to
  Throws:
    `javax.faces.FacesException` - if any error occurs

### logoff

    protected StringBuffer logoff(javax.faces.context.FacesContext context)

  Return the context relative base URL for the "logoff" action.

  Parameters:
    `context` - `FacesContext` for the current request

### logon

    protected StringBuffer logon(javax.faces.context.FacesContext context)

  Return the context relative base URL for the "logon" action.

  Parameters:
    `context` - `FacesContext` for the current request

### registration

    protected StringBuffer registration(javax.faces.context.FacesContext context)

  Return the context relative base URL for the "edit registration" action.

  Parameters:
    `context` - `FacesContext` for the current request

### subscription

    protected StringBuffer subscription(javax.faces.context.FacesContext context)

  Return the context relative base URL for the "edit subscriptions" action.

  Parameters:
    `context` - `FacesContext` for the current request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.